kernel

## Class Preset

- java.lang.Object
- - kernel.Preset

All Implemented Interfaces:
  java.io.Serializable

    public class Preset
    extends java.lang.Object
    implements java.io.Serializable

The Class Preset.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Preset.ReduceDomainStrategy` The Enum ReduceDomainStrategy.

### Field Summary

Fields
`static Preset.ReduceDomainStrategy` `reduceDomainStrategy` The Constant reduceDomainStrategy.
`static java.lang.String` `simulatorName` The Constant simulatorName.

### Constructor Summary

Constructors
Constructor and Description
`Preset()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### simulatorName

    public static final java.lang.String simulatorName

The Constant simulatorName.

See Also:
  Constant Field Values

#### reduceDomainStrategy

    public static final Preset.ReduceDomainStrategy reduceDomainStrategy

The Constant reduceDomainStrategy.

### Constructor Detail

#### Preset

    public Preset()